Subject: [EDUC] Re : Re: Enseignement pérenne de l'informatique : quoi, qui, et QUAND
From: [email-masked]
To: Louis-Maurice De Sousa <[email-masked]>
Cc: [email-masked]
Date: Fri, 1 Aug 2014 12:50:30 +0200 (CEST)
List-Id: <educ.april.org>

----- Louis-Maurice De Sousa <[email-masked]> a écrit :
> Bonjour,

Bonjour Louis-Maurice,

> Personne ne refuse de réfléchir. Preuve les nombreuses contributions sur 
> cette liste. Mais personnellement, je pense que « l'apprentissage du 
> code » sans autre précision, est le cheval de Troie de Microsoft®, 
> Facebook®, Google® et consorts.

+1

OUI, mais faudrait-il encore le démontrer.

Quand en 2011, Eric Schmidt le président de Google fustige
le système éducatif de Grande Bretagne, participe au financement l'année
suivante d'un programmme de formation des enseignants sur Raspberry Pi
et qu'enfin le gouvernement de Grande Bretagne annonce 1,8 million d’euros 
pour aider les profs à enseigner le "code" à l’école peut-on parler
de cheval de Troie ?

Je veux dire par là qu'il ne suffit pas de mettre en corrélation par exemple
les prises de position de l'EPI d'avec celles du Syntec, de l'AFDEL, ou du
président de l'INRIA - lobbies qui s'étaient fortement mobilisés contre 
la priorité aux logiciels libres à l'école et dans l'enseignement supérieur - ;
pour affirmer que l'apprentissage de l'informatique à l'école c'est 
le cheval de Troie de l'informatique privatrice de libertés.

Si nous nous contentons de dénoncer sans démontrer, nous resterons confinés
dans un discours protestataire regardant l'histoire se faire sans nous.
Nous ne voulons pas travailler au spectacle de la fin du monde disaient
les situationnistes, mais à la fin du monde du spectacle.

Le premier point qui serait intéressant d'analyser, si nous en avions 
le temps, serait de repérer le passage du discours centré autour de l'outil 
et des usages à celui du code ; et essayer de mettre en lumière à quelles
stratégies économiques dans un processus de mutation technologique (passage
de l'ordinateur personnel au minitel 2.0 et au clown computing, notamment
l'externalisation des services publics d'informatique dans du SaaS) 
ce changement de discours idéologique renvoie.

Le deuxième point - qui nécessiterait certes un travail gigantesque - serait
de nous pencher sur les programmes d'enseignement. 

Dans un mèl du 26 mai 2013, Jean-Pierre Archambault sur la liste educ t'écrivait :

"Je pense que tu fais un lien trop étroit entre l'enseignement de l'informatique 
et Microsoft qu'il "faut éliminer". Une procédure récursive n'est ni libre 
ni propriétaire. Il faut former des professeurs d'informatique qui l'apprendront 
à leurs élèves. 
Et ils les feront programmer, ainsi ils verront bien ce qu'est le code source 
d'un logiciel.".

On retrouve dans le discours d'Archambault l'hypothèse d'une neutralité de 
la science - une procédure récursive n'est ni libre ni propriétaire -  ;
occultant le fait que "Toute connaissance étant processus, rien ne permet 
définitivement de distinguer la notion de science de celle d'activité 
scientifique" [1].
De ce fait, peut-on considérer qu'apprendre à programmer une procédure
récursive, pour rester dans l'exemple récurrent de Jean-Pierre Archambault,
dans un environnement libre ou propriétaire revient à la même chose ?
Les compilateurs propriétaires par exemple...

Deuxièmement, à supposer une neutralité de la science quid de ses applications
technologiques ?

Or pour Jean-Pierre Archambault un traitement de texte reste un traitement 
de texte, un système d'exploitation reste un système d'exploitation ; ce
sont des outils - certes compliqués et complexes - mais des outils.

Pas si simple. Car ce raisonnement est fallacieux.

Prenons par exemple la notion d'interopérabilité.

Quelles sont les notions nécessaires à son intelligibilité ?
Etant entendu que l'interopérabilité n'est pas une notion scientifique
mais une notion technologique. Quels sont les prérequis ?

La didactique est l'étude des questions posées par l'enseignement et 
l'acquisition des connaissances. Une approche OBSCURANTISTE de l'informatique 
s'opposera et/ou plus subtilement occultera certains aspects de la
dimension épistémologique, c'est-à-dire la nature des connaissances
à enseigner.

Ainsi en est-il de la notion de "code".

Si le terme "code" était un terme familier pouvant désigner "pisser du
code" et/ou "écrire des lignes de code" etc, est-il besoin de rappeler
que dans les grandes SS2i, dorénavant qualifiées de d'entreprises de 
services du numérique, ce n'est pas - dans l'immense majorité des cas -
le concepteur (chef de projet) qui "code" directement, mais l'analyste-
programmeur chargé du code, des tests et de la maintenance des logiciels ?
Dans le sud, près de chez moi, j'ai pu observer lors d'un stage à 
l'entreprise atReal du réseau Libertis, que la plupart du temps également,
ce n'était pas celui qui manageait un projet qui le codait ; et ce,
parce qu'ils considéraient qu'il fallait toujours un regard extérieur 
pour mieux voir les bugs.
La différence entre les modes de production - que je qualifierai d'open
source - d'atReal et de Libertis - étant la rotation des tâches selon
les projets (une même personne pouvant manager un projet et coder
pour un autre), la connaissance parfaite des différentes briques logicielles
existantes et la contribution au pot commun (par exemple les modules du projet
Open Mairie)...

Pour autant, en situation d'enseignement général - je ne parle pas
ici de l'enseignement technologique professionnel, même si l'on peut voir
que l'apprentissage du libre (veille technologique pour connaître 
les briques logicielles existantes, par exemple) est différent 
de l'enseignement privateur - on ne peut pas séparer l'analyse d'un problème
de sa programmation. Là encore, la progression pédagogique n'est pas neutre
et ne pas être la même...

Pour enseigner des notions, il est nécessaire que les termes employés
soient relativement précis. Et pour revenir à "code", "codage"; autant
les termes codages employés dans un contexte déterminé sont précis,
autant "enseigner le code" est imprécis.

Par exemple, lorsqu'en troisième j'enseigne le codage informatique
des couleurs. De la même manière - par chance extrême ou lucidité fort
à propos des contributeurs - toutes les définitions des termes "code",
"codage", "encodage" de Wikipédia renvoient à des notions informatiques
technologiques.

Ainsi pour comprendre la notion d'interopérabilité, avant d'aborder
la notion de codage des données, il est nécessaire d'aborder la représentation
des données :

"Dans un ordinateur, toute l'information est sous forme de bits qui sont regroupés 
en octets. Il faut donc qu'il y ait un codage de cette information. Ce codage dépend 
bien sûr du type des données.".
http://www.liafa.jussieu.fr/~carton/Enseignement/Architecture/Cours/Coding/

Pour autant, la si la représentation des données prit la forme de bits
et d'octets  - notamment depuis qu'IBM  imposa la norme de l'octet en 1960 - 
Maurice Nivat de l'EPI, François Poulain de l'April, s'insurgèrent contre
la présentation simpliste d'une information prenant la forme de 1 ou 0,
dite "numérique", alors qu'elle aurait pu très bien être codée sur des
lettres de l'alphabet.

Et ici même se pose la question des territoires respectifs de la science
et de la technologie. Si à aucun moment de leur cursus les élèves n'ont
la possibilité de réfléchir à la représentation des données, et ce 
indépendamment de leur traitement, y compris un cours de technologie 
orienté logiciels libres pourrait virer vers un obscurantisme. 

La question des contenus des enseignements est donc une question cruciale.
Et il serait temps que l'approche du Libre puisse de faire entendre.

Note 1
------
http://vadeker.net/corpus/reseau.htm

Quand à ce qui suit : les profs de techno comme variable d'ajustement
des positions de l'EPI et de la SIF (avec le soutien du Conseil national
du numérique), je ne couperai pas un seul mot même si c'est long, tant
je partage mot pour mot ce qui suit et t'en remercie :
 
> > Un autre point à régler est ton lancinant «Quid des profs de techno ?»

> C'est pourtant simple.
> La technologie en collège, c'est 10853 enseignants (dans le public).
> > http://cache.media.education.gouv.fr/file/2013/48/1/DEPP-RERS-2013-personnels_266481.pdf
> (page 308)
> 
> Les horaires d'un élève en collège sont de
> 29h30 en 6ième
> 26h30 en 5ième + 2h facultatives de latin
> 28h30 en 4ième + 3h facultatives de latin ou de langue régionale
> 28h30 en 3ième + 3h facultatives de latin ou de langue régionale
>  
> http://www.education.gouv.fr/cid80/les-horaires-par-cycle-au-college.html#le-cycle-d-adaptation-classe-de-6e-
> Le tout sur 32h hebdomadaire possibles. Je ne suis pas certain que 
> blinder les horaires élèves soit une bonne idée.
> 
> Donc, où case-t-on ces heures ?
> Il me parait évident que ce sera au détriment d'autres enseignements. 
> Car, cet enseignement « en plus » de la technologie, ce n'est tout 
> simplement pas possible.
> 
> Si la technologie disparaît au profit de ce nouvel enseignement, que 
> fais-tu de ces 10853 personnes ? Et pour te donner une idée de la 
> problématique que représente une reconversion, à la fin des années 90, 
> alors que sauf erreur de ma part, la technologie existe depuis 1985, 
> j'ai croisé des collègues qui faisaient de la cuisine ou travaillaient 
> le bois, avec leurs élèves. Qui donc faisaient des « Travaux manuels ». 
> Pas même de l'« EMT ». Et je me rappelle d'un ministre de l'Éducation 
> fustigeant, dans les années 90, les cours sur le porte-mines, alors que 
> ce n'était en aucun cas au programme de la technologie.
> 
> Si tu créés un nouveau CAPES, tu ne procèdes  pas seulement à la 
> création d'un nouveau concours, mais aussi à un budget pour les 
> traitements puis les pensions. Compte-tenu du climat budgétaire actuel, 
> où, pour ce qui concerne l'Éducation Nationale, on en est à attaquer 
> l'os, cela me parait complètement illusoire.
> 
> > S'il y a un problème de RH (c'est ca?), il faut bien entendu
> > accompagner les individus, c'est un devoir impérieux de l'employeur.
> > Celà étant, il me semble que la fonction de l'école n'est pas
> > d'employer ses enseignants, mais bien de former les citoyens.
> 
> C'est vrai, mais il y a quand même des individus à gérer. Des individus 
> qui ont des vies et que l'on ne peut pas traiter à la lègère. Ce ne sont 
> pas quatre tondus dans un coin, mais 10853 personnels répartis dans tous 
> les collèges de France.
> 
> > Mais allons plus loin, et dis moi ce que toi tu penses qu'il faut
> > faire des profs de techno. Qu'avais-tu envie de dire sur le point 2 de
> > l'interview de Hamon, au fait ?

Juste un commentaire. Si le draft de la lettre commune passe à la trappe
(aucune réaction officielle des "associations"), je lancerai une lettre
spécifique April où serait effectivement traité le point 2 de soutien
à la proposition Hamon.

Pour autant, les positions que nous devons avoir ne doivent pas seulement
être conditionnées par la "variable d'ajustement" des profs de techno,
mais par l'approche didactique spécifique du Libre à l'école.

L'un des enjeux de la formation des futurs citoyens à notre société dite
numérique est d'apprendre à discerner ce qui relève d'un caractère technique
de ce qui n'en relève pas. Débat au coeur de la brevetabilité des logiciels.
Apprendre à discerner ce qui relève du matériel du logiciels. Débat au coeur
de la vente subordonnée. D'apprendre à distinguer ce qui relève de la 
production spécifique de produits matériels des objets numériques. 

Tous ces enjeux sont des enjeux fondamentaux de société.

La technologie est la seule discipline en collège ayant pour objet 
l'étude des objets techniques, des énergies, des matériaux et des objets
informatiques.

Par exemple la révolution industrielle est concomitante du mode de production
coopératif ; l'informatique de réseau du mode de production collaboratif 
qui n'est pas propre au Libre mais au rapport entre développement technologique
et rapports de production.

> Je pense qu'il faut élargir l'enseignement de l'informatique, bien 
> au-delà du simple apprentissage du code ou de cette mythique « Science 
> Informatique ». Comme si au faisait de la philosophie, des mathématiques 
> ou des sciences-physiques à l'école…
> On ne fera pas plus de « Science Informatique »
> Cet apprentissage concerne donc l'instuction-civique, les mathématiques, 
> les sciences, les lettres *et* la technologie.
> Je suis tombé par hasard sur cette page :
>  
> http://fr.wikipedia.org/wiki/Liste_des_disciplines_scientifiques#Informatique.2C_Informatique_th.C3.A9orique.2C_Math.C3.A9matiques_discr.C3.A8tes

Tu touches là un point fondamental, auquel je me suis heurté cette année
en troisième.

En premier lieu aucun prof de math n'a été en mesure de me dire pourquoi le choix
d'une terme "discret" qui perturbe les élèves en ce qu'il renvoie une représentation
mentale de comportement psychologique.

En second lieu, parce que n'existe aucun cours intégré au programme de physique
permettant de donner aux élèves une représentation (au collège on ne peut pas
exiger davantage) du traitement du signal...

Lors de l'April Camp à Montpellier avec François Poulain qui enseigne à polytechnique,
nous avons essayé de réfléchir à une représentation de la discrétisation pour
des élèves de collège mais nous n'avons pas trouvé de solutions satisfaisantes ;
d'autant plus que l'on se heurtait à d'autres problèmes, notamment ceux de l'infini.

Il y a donc un sérieux problème à un enseignement de la science informatique sur
le niveau collège. C'est la raison pour laquelle, j'ai toujours privilégié le
choix d'options en quatrième/troisième, ne serait-ce que pour expérimenter,
bâtir des programmes pérennes, et échanger. Et un enseignement des technologies
de l'informatique intégré au cours de technologie, de la 6ème à la troisième.

C'était également la position de Maurice Nivat, et également celle de l'April.
C'est l'EPI qui opéré un changement de position. 

> C'est marrant de voir que tous les articles qui ne concernent pas les 
> aspects mathématiques de l'informatique, soient inexistants. Que ce soit 
> classé dans « Sciences formelles ».
> :-)
> Et pour être clair, ce qui est décrit sur cette page, n'a tout 
> simplement pas sa place dans le second degré.

Je ne suis pas tout à fait d'accord. Tout ne peut sans doute pas être
enseigné, mais cela a toute sa place au lycée.

Voir à ce propos le Communiqué de presse de l'April du 5 janvier 2010 :
"Option « Informatique et sciences du numérique » au lycée :
une première avancée avant un mouvement de fond ?".
http://edutice.archives-ouvertes.fr/docs/00/56/07/05/HTML/d1001a.htm

> Intégrer une partie de cet enseignement à la technologie, et l'étendre 
> au lycée a pour moi deux avantages. D'abord c'est faisable à moyens 
> constants, ensuite cela permettrait de revaloriser une discipline qui en 
> a bien besoin, en créant une agrégation et des postes au lycée. Avec 
> comme effet connexe, de fluidifier la liaison collège-lycée.

Sur ce point également j'ai un léger désaccord.

Qu'il y ait une extension de l'enseignement d'une science informatique
sur le niveau lycée, et pas seulement en option en TS me semble tout
à fait légitime. Reste bien sûr posé l'environnement d'apprentissage
libre ou obscurantiste ?

Pour ce qui concerne le lycée, si nous en avions les forces, ce serait
également important de nous pencher sur les lycées d'enseignement technologique
et leurs programmes.

Pour le moment tout ça est en jachères.

La priorité numéro UN est de répondre aux propositions de Benoît Hamon
pour le collège et de plus nous exclure des consultations du Conseil
national des programmes, là où tout se joue en définitive.

> C'est une proposition raisonnable et rester sur la création d'un CAPES 
> supplémentaire, si l'objectif est de « former les citoyens », ne peut 
> être perçu que comme du corporatisme.

Certes, mais il importe et il m'importe en tant que prof de techno de
pouvoir me référer à la science informatique, sans pour autant l'enseigner.
De la même manière que lorsque j'aborde avec des élèves l'étude d'une plaque
de cuisson électrique en fonte et d'une plaque à induction, sans faire
un cours de physique qui ne sera abordé qu'au lycée et en terminale S,
je puisse me référer pour ne pas dire de conneries à l'effet Joule et
aux courants de Foucault.
Il m'importe donc qu'existe une discipline instituée informatique.
Ce que je n'admets pas c'est le melon conjugué au phallus en papier.

Les prises de positions de l'EPI-SIF sur le niveau collège ne sont que
des enjeux minables de pouvoir au sein principalement de l'université. 

> > Si tu veux dire que "informatique" n'est que la façon moderne de dire
> > "technologie" et qu'il suffit de maintenir la discipline technologique
> > en l'état en changeant l'intitulé dans l'emploi du temps pour résoudre
> > le problème de l'informatique, je suis tout de suite plus dubitatif.
> 
> Je n'ai pas compris cela. Au contaire, il s'agirait d'inclure une partie 
> de cet enseignement dans la discipline technologie, dont il est 
> malheureusement terriblement absent.

Merci encore pour ta pédagogie.

> Il faut comprendre que :
>   - il n'y a pas d'IPR de technologie à proprement parler. Car il n'y a 
> pas de technologie au lycée. Les IPR de technologie sont donc tous issus 
> de disciplines de lycée technique. Aucun de ces IPR n'a donc enseigner 
> en collège. Et ma petite expérience me laisse penser que l'IPR a 
> tendance à prendre le collégien pour un crétin.
>   - les programmes sont complètement tournés vers le plus pur 
> consumérisme. On aime ce qui fait pouet-pouet. Le grand truc à la mode, 
> c'est la réalité augmentée avec des iTrucs. C'est comme quand le prof 
> devait faire le montage complet de la machine outil, et que l'élève ne 
> devait qu'appuyer sur le bouton marche pour voir la machine usiner.
> Super intéressant et éducatif…
> Passer aux logiciels libres, et instituer un enseignement de 
> l'informatique dans la discipline technologie, c'est un sacré virage à 
> 180°. Pas juste un changement de nom.

Bien vu !

J'arrête là car le message est trop long.

Encore une fois merci.

Librement,
Charlie
--
Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ